
package de.ivu.elect.exchange.gebietsbaum.csv;

import javax.annotation.Nullable;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class DefaultGebietCsvDTO extends AbstractGebietCsvDTO {

  /*
   * Neue Felder ans Ende hängen -> Kompatibilität!!!
   */

  @CsvField(pos = 27) // ELECTKOM-113
  @CsvHeader("Bezirknummer (falls abweichend von Nummer)")
  private String nummerBezirk;

  @CsvField(pos = 28) // ELECT-14030
  @CsvHeader("Einbeziehung des Briefwahlergebnisses")
  private Boolean briefwahlInUrneErfassen;

  public DefaultGebietCsvDTO() {
  }

  public DefaultGebietCsvDTO(Gebiet gebiet) {
    super(gebiet);
  }

  @Nullable
  @Override
  public String getExterneId() {
    return null; // nicht unterstützt
  }

  @Override
  public void setExterneId(String externeId) {
    // nicht unterstützt
  }

  @Override
  public String getNummerBezirk() {
    return nummerBezirk;
  }

  @Override
  public void setNummerBezirk(String nummerBezirk) {
    this.nummerBezirk = nummerBezirk;
  }

  @Override
  public Boolean getBriefwahlInUrneErfassen2() {
    return Boolean.TRUE.equals(briefwahlInUrneErfassen);
  }

  @Override
  public void setBriefwahlInUrneErfassen2(Boolean briefwahlInUrneErfassen) {
    this.briefwahlInUrneErfassen = briefwahlInUrneErfassen;
  }
}
